
<?php

require_once("ajax_preload.php");

if ($httpreferer){
  if ($ajax_db->getErrorCode()==1){
    die;
  }else{

	$statusz = explode(";", $_REQUEST["statusz"]);
	  if ($statusz[0]!=''){
	    $statuszfilter=" WHERE ";
	    foreach ($statusz as &$value) {
	      $statuszfilter.=" id_pg_statusz='".$value."' or ";
	    }
	  }

	$szolgh = explode(";", $_REQUEST["szolgh"]);
	  if ($szolgh[0]!=''){
	    $szolghfilter=" WHERE ";
	    foreach ($szolgh as &$value) {
	      $szolghfilter.=" id_pg_szolghelyek='".$value."' or ";
	    }
	  }
	$statuszfilter=substr($statuszfilter,0,-4);
	$szolghfilter=substr($szolghfilter,0,-4);

	$sql="SELECT pg_szolghelyek.megnevezes as szolghely,pg_gepek.id_pg_szolghelyek
	      FROM pg_gepek
	      JOIN pg_szolghelyek on pg_szolghelyek.id_pg_szolghelyek=pg_gepek.id_pg_szolghelyek
	      ".$statuszfilter."
	      group by pg_gepek.id_pg_szolghelyek,pg_szolghelyek.megnevezes
	      order by pg_szolghelyek.megnevezes";

	$query=$ajax_db->getAll($sql);

	$oszlopoksz=4;
	$ov = 0;		
	$content='<table  align="left" class="function_table" border="0">
			    <tr>
			      <td valign="top" align="left" class="td_big_title">
			      '.$config->getValue("get_rosszgepek","title").'
			      </td>
			      <td>
			      </td>
			      <td class="td_medium" align="right" valign="top" >
				'.date("Y-m-d H:i:s").'
			      </td>
			    </tr>';
	if ($statuszfilter!=''){
	  $statuszfilter='WHERE ('.substr($statuszfilter,6).') and ';
	}
	foreach ($query as &$value) {
	      if ($ov==$oszlopoksz){
		      $content.="<tr>";
	      }
	      $geplista=getGepszamTmpl($ajax_db,$statuszfilter." id_pg_szolghelyek='".$value["id_pg_szolghelyek"]."'");
	      $content.='<td valign="top" align="center" style="width: 230px; ">

			    <table class="content_table" style="width: 220px; ">
			    <tr>
			      <td valign="top" align="left" class="td_title">
			      '.iconv_iso88592_utf8($value["szolghely"]).'
			      </td>
			    </tr>
			    <tr>
			      <td valign="top" align="left">
			      '.$geplista.'
			      </td>
			    </tr>
			    </table>

			</td>';
	      $ov++;
	      if ($ov==$oszlopoksz){
		      $content.='</tr>
				<tr>
				<td style="height: 20px; ">
				</td>
				</tr>  
				<tr>';
		      $ov=0;
	      }
      }
      $content.="</table>";
      
    $ajax_page->AppendTag("content", $content);
    $ajax_page->out();

  }
}
?>
